# Employees API

Here is the list of default parameters you can use with this API:

|                            Parameters                           |                                                                                                                                                                                                                                                                                                                                                                                                                        |
| :-------------------------------------------------------------: | :--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------: |
| <p>api\_key<br><br><mark style="color:red;">required</mark></p> |                                                                                                                                                                                                  This is your API key.                                                                                                                                                                                                 |
|  <p>domain<br><br><mark style="color:red;">required</mark></p>  |                                                                                                                                                           <p>Type: <code>String</code></p><p><br>The domain of the company for which you need employees.</p>                                                                                                                                                           |
|                               city                              |                                                                                                                                                                   <p>Type: <code>String</code><br><br>The city from which you need the employees.</p>                                                                                                                                                                  |
|                             position                            |                                                                                                                                                               <p>Type: <code>String</code><br><br>The job title you wish to target for the employees.</p>                                                                                                                                                              |
|                               size                              | <p>Type: <code>Number(Integer)</code><br><code>\[1,2,3....40]</code><br><br>Default: <code>1</code><br>(Enter 1 for 10 results per page, 2 for 20 results per page, etc .)<br>Each page returns 10 employees of a company by default. However, if you wish to obtain more data, you can implement this <strong>size</strong> parameter.<br><br><strong>Note: It can return a maximum of 400 results only.</strong></p> |
|                               page                              |                                                   <p>Type: <code>Number(Integer)</code><br><code>\[1,2,3....]</code><br><br>Default: <code>1</code><br>(Enter 1 for 1st-page results, 2 for 2nd, etc .)<br>Each page returns 10 employees of a company. However, if you wish to obtain more data, you can implement this size parameter with the page parameter.</p>                                                   |

**Note:**&#x20;

1. **Each Employee API request will cost you 10 request credits.**
2. **Initiate your request from the first page before retrieving data from the next pages.**

### API Example:

{% tabs %}
{% tab title="cURL" %}

```json
cURL "https://api.enrichmentapi.io/employees?api_key=APIKEY&domain=ibm.com"
```

{% endtab %}

{% tab title="Node JS" %}

```javascript
const axios = require('axios');

axios.get('https://api.enrichmentapi.io/employees?api_key=APIKEY&domain=ibm.com')
  .then(response => {
    console.log(response.data);
  })
  .catch(error => {
    console.log(error);
  });
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
payload = {'api_key': 'APIKEY', 'domain':'ibm.com'}
resp = requests.get('https://api.enrichmentapi.io/employees', params=payload)
print (resp.text)
```

{% endtab %}

{% tab title="Java" %}

```java
try {
 String url = "https://api.enrichmentapi.io/employees?api_key=APIKEY&domain=ibm.com";
 URL urlForGetRequest = new URL(url);
 String readLine = null;
 HttpURLConnection conection = (HttpURLConnection) urlForGetRequest.openConnection();
 conection.setRequestMethod("GET");
 int responseCode = conection.getResponseCode();
 if (responseCode == HttpURLConnection.HTTP_OK) {
 BufferedReader in = new BufferedReader(new InputStreamReader(conection.getInputStream()));
 StringBuffer response = new StringBuffer();
 while ((readLine = in.readLine()) != null) {
 response.append(readLine);
 }
 in.close();
 System.out.println(response.toString());
} else {
 throw new Exception("Error in API Call");
 }
} catch (Exception ex) {
 ex.printStackTrace();
}
```

{% endtab %}

{% tab title="Ruby" %}

```ruby
require 'net/http'
require 'json'
params = {
 :api_key => "APIKEY",
 :domamin=> "ibm.com"
}
uri = URI('https://api.enrichmentapi.io/employees')
uri.query = URI.encode_www_form(params)
website_content = Net::HTTP.get(uri)
print(website_content)
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
$url = "https://api.enrichmentapi.io/employees?api_key=APIKEY&domain=ibm.com";
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
curl_setopt($ch, CURLOPT_HEADER, FALSE);
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
$response = curl_exec($ch);
curl_close($ch);
print_r($response);
```

{% endtab %}
{% endtabs %}

### API Response

```json
{
    "employees_data": [
        {
            "firstName": "Barry",
            "lastName": "Baker",
            "fullName": "Barry Baker",
            "uid": 1,
            "linkedinUrl": "https://www.linkedin.com/in/barrymbaker",
            "company_name": "ibm",
            "email": "https://api.enrichmentapi.io/find_email?id=1&domain=ibm.com&api_key=APIKEY"
        },
        {
            "firstName": "Bryan",
            "lastName": "Casey",
            "fullName": "Bryan Casey",
            "uid": 2,
            "jobTitle": "Director, Digital Marketing",
            "linkedinUrl": "https://www.linkedin.com/in/bryan-f-casey",
            "company_name": "ibm",
            "city": "new jersey, united states",
            "country": "united states",
            "email": "https://api.enrichmentapi.io/find_email?id=2&domain=ibm.com&api_key=APIKEY"
        },
        {
            "firstName": "Kate",
            "lastName": "Woolley",
            "fullName": "Kate Woolley",
            "uid": 3,
            "jobTitle": "General Manager,  Ecosystem",
            "linkedinUrl": "https://www.linkedin.com/in/katepwoolley",
            "company_name": "ibm",
            "city": "new york",
            "country": "United States",
            "email": "https://api.enrichmentapi.io/find_email?id=3&domain=ibm.com&api_key=APIKEY"
        },
        {
            "firstName": "Katrina",
            "lastName": "Alcorn",
            "fullName": "Katrina Alcorn",
            "uid": 4,
            "jobTitle": "General Manager, Design",
            "linkedinUrl": "https://www.linkedin.com/in/katrinaalcorn",
            "company_name": "ibm",
            "city": "armonk, new york",
            "country": "United States",
            "email": "https://api.enrichmentapi.io/find_email?id=4&domain=ibm.com&api_key=APIKEY"
        },
        {
            "firstName": "Joanne",
            "lastName": "Wright",
            "fullName": "Joanne Wright",
            "uid": 5,
            "jobTitle": "Senior Vice President, Transformation and",
            "linkedinUrl": "https://www.linkedin.com/in/joanne-wright4",
            "company_name": "ibm",
            "city": "armonk, new york",
            "country": "United States",
            "email": "https://api.enrichmentapi.io/find_email?id=5&domain=ibm.com&api_key=APIKEY"
        },
        {
            "firstName": "John",
            "lastName": "Abbott",
            "fullName": "John Abbott",
            "uid": 6,
            "jobTitle": "Integration Brand Lead Client Engineering",
            "linkedinUrl": "https://www.linkedin.com/in/jabbottparkcity",
            "company_name": "ibm",
            "city": "park city, utah",
            "country": "United States",
            "email": "https://api.enrichmentapi.io/find_email?id=6&domain=ibm.com&api_key=APIKEY"
        },
        {
            "firstName": "Sam",
            "lastName": "Ladah",
            "fullName": "Sam Ladah",
            "uid": 7,
            "jobTitle": "HR Vice President,  Global Markets",
            "linkedinUrl": "https://www.linkedin.com/in/sam-ladah-2570801",
            "company_name": "ibm",
            "city": "new york city metropolitan area",
            "email": "https://api.enrichmentapi.io/find_email?id=7&domain=ibm.com&api_key=APIKEY"
        },
        {
            "firstName": "Adam",
            "lastName": "Cutler",
            "fullName": "Adam Cutler",
            "uid": 8,
            "linkedinUrl": "https://www.linkedin.com/in/adamcutler",
            "company_name": "ibm",
            "city": "austin, texas",
            "country": "United States",
            "email": "https://api.enrichmentapi.io/find_email?id=8&domain=ibm.com&api_key=APIKEY"
        },
        {
            "firstName": "Vijay",
            "lastName": "Vijayasankar",
            "fullName": "Vijay Vijayasankar",
            "uid": 9,
            "linkedinUrl": "https://www.linkedin.com/in/vijayasankarv",
            "company_name": "ibm",
            "email": "https://api.enrichmentapi.io/find_email?id=9&domain=ibm.com&api_key=APIKEY"
        },
        {
            "firstName": "Daniel",
            "lastName": "Hernandez",
            "fullName": "Daniel Hernandez",
            "uid": 10,
            "linkedinUrl": "https://www.linkedin.com/in/danielghernandez",
            "company_name": "ibm",
            "email": "https://api.enrichmentapi.io/find_email?id=10&domain=ibm.com&api_key=APIKEY"
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.enrichmentapi.io/employees-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
